{{/*
Expand the name of the chart.
*/}}

{{- define "spidernet.name" -}}
{{- default .Release.Name -}}
{{- end -}}

{{- define "spidernet.namespace" -}}
{{- default .Release.Namespace -}}
{{- end -}}


{{/*
Return the proper spidernet image name
*/}}
{{- define "spidernet.image" -}}
{{- if .Values.spidernet.image.tag }}
  {{- printf "%s/%s:%s" .Values.spidernet.image.registry  .Values.spidernet.image.repository  .Values.spidernet.image.tag -}}
{{- else -}}
  {{- printf "%s/%s:v%s" .Values.spidernet.image.registry  .Values.spidernet.image.repository  .Chart.AppVersion -}}
{{- end -}}
{{- end -}}

{{/*
Return the proper spidernet-ui image name
*/}}
{{- define "spidernet.ui.image" -}}
{{- if .Values.ui.image.tag }}
  {{- printf "%s/%s:%s" .Values.ui.image.registry  .Values.ui.image.repository  .Values.ui.image.tag -}}
{{- else -}}
  {{- printf "%s/%s:v%s" .Values.ui.image.registry  .Values.ui.image.repository  .Chart.AppVersion -}}
{{- end -}}
{{- end -}}

{{- define "spidernet.svcName" -}}
{{- include "spidernet.name" . }}
{{- end -}}

{{- define "spidernet.labels" -}}
{{- if .Values.spidernet.labels }}
{{ toYaml .Values.spidernet.labels }}
{{- else -}}
app: {{ include "spidernet.name" . }}
{{- end }}
{{- end -}}

{{- define "spidernet.ui.labels" -}}
{{- if .Values.ui.labels }}
{{ toYaml .Values.ui.labels }}
{{- else -}}
app: {{ include "spidernet.name" . }}
{{- end }}
{{- end -}}

{{- define "spidernet.podLabels" -}}
{{- if .Values.spidernet.podLabels }}
{{- range $key, $value := .Values.spidernet.podLabels -}}
{{ $key }}: {{ $value }}
{{- end }}
{{- end }}
{{- end -}}

{{- define "spidernet.ui.podLabels" -}}
{{- if .Values.ui.podLabels }}
{{- range $key, $value := .Values.ui.podLabels -}}
{{ $key }}: {{ $value }}
{{- end }}
{{- end }}
{{- end -}}